i2o_msg_post_wait
Prev | I2O message devices | Next

## Name

i2o_msg_post_wait — Post and wait a message and wait until return

## Synopsis

`int i2o_msg_post_wait (` | struct i2o_controller * | c,
| struct i2o_message * | msg,
| unsigned long | timeout`)`;

## Arguments

`c`

  controller

`msg`

  message to post

`timeout`

  time in seconds to wait

## Description

This API allows an OSM to post a message and then be told whether or not the system received a successful reply. If the message times out then the value '-ETIMEDOUT' is returned.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_msg_post | Home | i2o_msg_nop_mfa